## gpr 1.0

=== DESCRIPTION ===
Package: gpr
Version: 1.0
Date: 2013-08-14
Title: A Minimalistic package to apply Gaussian Process in R
License: GPL-3
Author: Afshin Sadeghi
Maintainer: Afshin Sadeghi <sadeghi.afshin@gmail.com>
Depends: R (>= 2.0)
Description: This package provides a minimalistic functionality necessary to apply Gaussian Process in R. They provide a selection of functionalities of GPML Matlab library.
Packaged: 2013-08-26 20:49:07 UTC; sadeghi
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-08-27 08:10:10

## gpr 0.9deb-2

=== debian/changelog ===
gpr (0.9deb-2) unstable; urgency=low

  * Bug fix: "gpr: Please switch to gettext-based debconf templates",
    thanks to Martin Quinson (Closes: #234758).
  * install diversion on upgrade, as well
  
 -- A Mennucc1 <mennucc1@debian.org>  Mon,  1 Mar 2004 10:06:48 +0100

gpr (0.9deb-1) unstable; urgency=low

  * Upstream has not worked on the code lately. I have updated the build
    to latest automake&etc and it changed so much (some files were
    deleted) that I am repackaging it as a new tar.gz .
  * lpr wrapper for graphical programs
  * Bug fix: "gpr: No copyright file", thanks to Adrian Bunk 
    (Closes:  #216140).
  * Bug fix: "gpr: No man page for gpr", thanks to Manoj Srivastava
    (Closes: #191835).
  * Bug fix: "gpr: printing filename with spaces doesn't work", thanks to
    James Strandboge (Closes: #205411).
    by quoting file names 

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 30 Oct 2003 23:19:46 +0100

gpr (0.9-4) unstable; urgency=low

  * avoid time skews   (tries to close #193063)

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 27 May 2003 12:20:04 +0200

gpr (0.9-3) unstable; urgency=low

  * compiled in woody
  * check eof (closes: #170023)

 -- A Mennucc1 <mennucc1@debian.org>  Wed,  5 Feb 2003 11:23:58 +0100

gpr (0.9-2) unstable; urgency=low

  * fix autostuff (closes: #164082)

 -- Andrea Mennucc <debdev@Tonelli.sns.it>  Mon, 28 Oct 2002 14:58:56 +0100

gpr (0.9-1) unstable; urgency=low

  * new upstream
  * upstream has changed the widgets (closes: #135007)
  * gpr DOES remember the settings, which are saved if-and-only-if
   the print job is correctly printed;  and moreover 'retrieve settings' 
   is usefull to keep some preferred settings at hand (closes: #135008)
  * reads /etc/papersize as first attempt for papersize (closes: #135006)
  * Recommends a2ps, ppdfilt

 -- Andrea Mennucc <debian@Tonelli.sns.it>  Sat,  6 Apr 2002 19:40:21 +0200

gpr (0.8-1) unstable; urgency=low

  * new upstream
  *  'aclocal -I /usr/share/aclocal/gnome-macros'
  * build-deps on gnome-common

 -- Andrea Mennucc <debian@Tonelli.sns.it>  Fri,  4 Jan 2002 14:27:41 +0100

gpr (0.7-2) unstable; urgency=low

  * quick fix for avoiding segfault on invalid printcaps;
  (this does not mean, though, that gpr will work perfectly)
   (closes: #115980)

 -- A Mennucc1 <debian@Tonelli.sns.it>  Tue, 23 Oct 2001 16:38:41 +0200

gpr (0.7-1) unstable; urgency=low

  * needs Build-dep: libxml-dev (closes: #115107)

 -- A Mennucc1 <debian@Tonelli.sns.it>  Fri, 12 Oct 2001 13:57:51 +0200

gpr (0.7-0) unstable; urgency=low

  * new upstream
  * fixed Deps (closes: #111776)

 -- A Mennucc1 <debian@Tonelli.sns.it>  Mon,  8 Oct 2001 12:21:01 +0200

gpr (0.4-3) unstable; urgency=low

  *  build-depends on a lot of stuff (closes: #104549)

 -- A Mennucc1 <debian@Tonelli.sns.it>  Wed, 18 Jul 2001 15:21:05 +0200

gpr (0.4-2) unstable; urgency=low

  * better description
  *  build-depends on debhelper (closes: #105029, #104549)

 -- A Mennucc1 <debian@Tonelli.sns.it>  Mon, 16 Jul 2001 11:29:28 +0200

gpr (0.4-1) unstable; urgency=low

  * NM
  * nicer menu entry
  * lintian:
    E: gpr: no-copyright-file
    E: gpr: binary-without-manpage gpr

 -- A Mennucc1 <debian@Tonelli.sns.it>  Fri, 29 Jun 2001 16:51:15 +0200

gpr (0.4) unstable; urgency=low

  * Updated to 0.4.

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Jul 2000 11:40:43 -0700

gpr (0.2) unstable; urgency=low

  * Initial debianization.

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Apr 2000 14:35:19 -0700

=== debian/control ===
Source: gpr
Section: utils
Priority: optional
Build-Depends: debhelper (>= 4.1.16), autotools-dev , libtool, libppd-dev, gettext,
        libgnome-dev, zlib1g-dev, libxml-dev
Maintainer: A Mennucc1 <mennucc1@debian.org>
Standards-Version: 3.1.1.1

Package: gpr
Architecture: any
Depends: ppdfilt, lprng | cupsys-bsd |  lpr-ppd | lpr, debconf (>= 0.5), ${shlibs:Depends}
Recommends: a2ps
Description: GUI for lpr: print files and configure printer-specific options 
 gpr is a graphical interface to lpr that provides for easy configuration
 of printer-specific options. gpr interfaces with a PostScript
 printer's PPD file to create a user-interface of configurable
 options. Based upon user choice, the device-specific option code
 is then inserted into the PostScript job and sent to the printer.
 This can be used to tell the printer to duplex or staple the print
 job, or tell it what paper tray to draw paper from.
 NOTE: gpr will detect if the file to be print is postscript, and, if not,
 it will call a2ps to preprocess it before sending it to ppdfilt and to lpr.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1


export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

autogen:
	yes n | gettextize -f
	aclocal -I /usr/share/aclocal/gnome-macros
	autoheader
	automake -a
	autoconf

build: build-stamp
build-stamp:
	dh_testdir

	test -r /usr/share/misc/config.sub -a \
                 config.sub -ot /usr/share/misc/config.sub && \
	   cp -vf /usr/share/misc/config.sub config.sub || true
	test -r /usr/share/misc/config.guess -a \
                 config.guess -ot /usr/share/misc/config.guess && \
	   cp -vf /usr/share/misc/config.guess config.guess || true
	#
	# avoid time skews
	touch configure.in && 	touch aclocal.m4 && 	touch configure
	touch config.h.in  {.,*}/Makefile.in
	#
	./configure $(confflags) --prefix=/usr
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) distclean
	dh_clean
	#REALLY clean, since we call all the 'auto' stuff at build time
	#find ltmain.sh config.guess config.sub COPYING INSTALL ABOUT-NLS missing mkinstalldirs intl po -type l | xargs -r rm
	#find  aclocal.m4 config.h.in configure | xargs -r rm
	#find -name Makefile.in | xargs -r rm


install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	chmod 755 debian/lpr.wrapper

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs README AUTHORS TODO
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_install debian/lpr.wrapper /usr/lib/gpr/
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gpr 0.9deb-3

=== debian/changelog ===
gpr (0.9deb-3) unstable; urgency=low

  * Bug fix: "gpr: French debconf templates translation", thanks to Rémi
    Pannequin (Closes: #238089).
  * Bug fix: "[l10:ca] gpr catalan debconf templates", thanks to Aleix
    Badia i Bosch (Closes: #248715).
  * Bug fix: "gpr: Please add German translation of the debconf
    templates", thanks to Erik Schanze (Closes: #253041).
  * Bug fix: "[INTL:nl] New Dutch po-debconf translation", thanks to Luk
    Claes (Closes: #263591).

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 13 Aug 2004 21:39:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: gpr
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 4.1.16), autotools-dev , libtool, libppd-dev, gettext,
-        libgnome-dev, zlib1g-dev, libxml-dev
+Build-Depends: debhelper (>= 4.1.16), autotools-dev , libtool, libppd-dev,               gettext,   libgnome-dev, zlib1g-dev, libxml-dev
 Maintainer: A Mennucc1 <mennucc1@debian.org>
-Standards-Version: 3.1.1.1
+Standards-Version: 3.6.1.0
 
 Package: gpr
 Architecture: any

## gpr 0.9deb-4sarge

=== debian/changelog ===
gpr (0.9deb-4sarge) stable; urgency=low

  * the diversion of lpr with gpr did not work (it would loop endlessly)
    (curiosly the people who noted did not file a bug report)
    in that case gpr would become completly useless; I uploaded 0.9deb-5 into 
    sarge before the freeze but it did not make it in :-(  :-( 
    and I did not that  :-(  :-(   so this upload is for sarge.
    I also disabled the automatic update of config.{sub,guess} for paranoia

 -- A Mennucc1 <mennucc1@debian.org>  Sat,  9 Jul 2005 11:01:49 +0200

gpr (0.9deb-4) unstable; urgency=low

  * increase line to read printcap as suggested by
   http://sourceforge.net/tracker/index.php?func=detail&aid=1053243&group_id=3800&atid=103800 
  * ran automake-1.7 and  autoconf and libtool
  * compatible with  new libppd 0.10  (Closes: #300423)
  *  Japanese po-debconf template translation (ja.po),
    thanks to Hideki Yamane (Closes: #282230).
  
 -- A Mennucc1 <mennucc1@debian.org>  Wed, 16 Mar 2005 12:34:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gpr
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 4.1.16), autotools-dev , libtool, libppd-dev,               gettext,   libgnome-dev, zlib1g-dev, libxml-dev
+Build-Depends: debhelper (>= 4.1.16), gettext, autotools-dev , libtool, libppd-dev (>= 0.10),  libgnome-dev, zlib1g-dev, libxml-dev
 Maintainer: A Mennucc1 <mennucc1@debian.org>
 Standards-Version: 3.6.1.0

=== debian/rules ===
--- 
+++ 
@@ -29,12 +29,12 @@
 build-stamp:
 	dh_testdir
 
-	test -r /usr/share/misc/config.sub -a \
-                 config.sub -ot /usr/share/misc/config.sub && \
-	   cp -vf /usr/share/misc/config.sub config.sub || true
-	test -r /usr/share/misc/config.guess -a \
-                 config.guess -ot /usr/share/misc/config.guess && \
-	   cp -vf /usr/share/misc/config.guess config.guess || true
+	#test -r /usr/share/misc/config.sub -a \
+        #         config.sub -ot /usr/share/misc/config.sub && \
+	#   cp -vf /usr/share/misc/config.sub config.sub || true
+	#test -r /usr/share/misc/config.guess -a \
+        #         config.guess -ot /usr/share/misc/config.guess && \
+	#   cp -vf /usr/share/misc/config.guess config.guess || true
 	#
 	# avoid time skews
 	touch configure.in && 	touch aclocal.m4 && 	touch configure

## gpr 0.9deb-5b

=== debian/changelog ===
gpr (0.9deb-5b) unstable; urgency=low

  * added two translations: 
      "vi" (Vietnam), thanks to Clytie Siddall (Closes: #311878).
       "[l10n] Initial Czech translation of gpr debconf messages",
                thanks to Miroslav Kure (Closes: #310883).

 -- A Mennucc1 <mennucc1@debian.org>  Sun,  5 Jun 2005 10:08:11 +0200

gpr (0.9deb-5) unstable; urgency=low

  * the diversion of lpr with gpr did not work (it would loop endlessly)
    (curiosly nobody ever noted... it seems that nobody ever used it, ever)

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 27 Apr 2005 10:48:34 +0200

## gpr 0.9deb-7

=== debian/changelog ===
gpr (0.9deb-7) unstable; urgency=low

  * properly deal with symlinks left by gpr << -6    (closes: #330523)

 -- A Mennucc1 <mennucc1@debian.org>  Sat,  1 Oct 2005 23:19:43 +0200

gpr (0.9deb-6) unstable; urgency=low

  * add debconf-2.0 in Depends
  * bumped debhelper compatibility to 4
  * do not divert /usr/bin/lpr in preinst, otherwise this will break lprng
  (Closes: #319004)

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 27 Sep 2005 13:31:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Build-Depends: debhelper (>= 4.1.16), gettext, autotools-dev , libtool, libppd-dev (>= 0.10),  libgnome-dev, zlib1g-dev, libxml-dev
 Maintainer: A Mennucc1 <mennucc1@debian.org>
-Standards-Version: 3.6.1.0
+Standards-Version: 3.6.2.0
 
 Package: gpr
 Architecture: any
-Depends: ppdfilt, lprng | cupsys-bsd |  lpr-ppd | lpr, debconf (>= 0.5), ${shlibs:Depends}
+Depends: ppdfilt, lprng | cupsys-bsd |  lpr-ppd | lpr, debconf | debconf-2.0 , ${shlibs:Depends}
 Recommends: a2ps
 Description: GUI for lpr: print files and configure printer-specific options 
  gpr is a graphical interface to lpr that provides for easy configuration

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=1
+export DH_COMPAT=4
 
 
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -29,12 +29,12 @@
 build-stamp:
 	dh_testdir
 
-	#test -r /usr/share/misc/config.sub -a \
-        #         config.sub -ot /usr/share/misc/config.sub && \
-	#   cp -vf /usr/share/misc/config.sub config.sub || true
-	#test -r /usr/share/misc/config.guess -a \
-        #         config.guess -ot /usr/share/misc/config.guess && \
-	#   cp -vf /usr/share/misc/config.guess config.guess || true
+	test -r /usr/share/misc/config.sub -a \
+                 config.sub -ot /usr/share/misc/config.sub && \
+	   cp -vf /usr/share/misc/config.sub config.sub || true
+	test -r /usr/share/misc/config.guess -a \
+                 config.guess -ot /usr/share/misc/config.guess && \
+	   cp -vf /usr/share/misc/config.guess config.guess || true
 	#
 	# avoid time skews
 	touch configure.in && 	touch aclocal.m4 && 	touch configure
@@ -61,8 +61,8 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	$(MAKE) install DESTDIR=`pwd`/debian/tmp
-	chmod 755 debian/lpr.wrapper
+	$(MAKE) install DESTDIR=`pwd`/debian/gpr
+	chmod 755 debian/lpr.wrapper debian/bug
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -81,11 +81,12 @@
 #	dh_installpam
 #	dh_installinit
 	dh_installcron
-	dh_installmanpages
+	dh_installman debian/gpr.1
 	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs
 	dh_install debian/lpr.wrapper /usr/lib/gpr/
+	dh_install debian/bug/script /usr/share/bug/gpr
 	dh_link
 	dh_strip
 	dh_compress

## gpr 0.11deb

=== debian/changelog ===
gpr (0.11deb) unstable; urgency=low

  * do not send non UTF8 strings to GTK2
    (strings non UTF8 from PPDs are truncated)

 -- A Mennucc1 <mennucc1@debian.org>  Thu,  6 Jul 2006 14:12:46 +0200

gpr (0.10deb) experimental; urgency=low

  * gpr is now a GTK-2 application instead of a GNOME-1
  * linking to libxml is disabled: it conflicts with
     gtk_file_chooser_button in latest GTK (see bug 364578)
  * for this reason support for "/usr/share/gpr/tabs/categories.xml"
    is now disabled  (I wonder if somebody knows what it is for)
  * "French program translation and source patches",
      many thanks to Jean-Luc Coulon (Closes: #340041).
  * "Swedish debconf templates translation" and "Swedish PO translation",
      thanks to Daniel  Nylander (Closes: #349742).(Closes: #331480).
  
 -- A Mennucc1 <mennucc1@debian.org>  Sat, 22 Apr 2006 18:10:43 +0200

## gpr 0.12deb1

=== debian/changelog ===
gpr (0.12deb1) unstable; urgency=high

  * do not block dialog sizes 
    (by calling deprecated gtk_window_set_policy())
  * enable button in dialogs
  * "gpr: [INTL:fr] French program translation update", thanks to
    Jean-Luc Coulon (f5ibh) (Closes: #379918).
  * Create debian/po/POTFILES.in  ;  run debconf-updatepo
  * urgency high to replace 0.11deb in etch, see
    http://permalink.gmane.org/gmane.linux.debian.devel.release/13559

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 18 Jan 2007 12:29:15 +0100

gpr (0.12deb) unstable; urgency=high

  * avoid storing twice the configuration
  * do not use uninitialized GError stuff
  * updated auto* stuff

 -- A Mennucc1 <mennucc1@debian.org>  Mon,  12 Jan 2007 14:28:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gpr
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 4.1.16), gettext, autotools-dev , libtool, libppd-dev (>= 0.10),  libgnome-dev, zlib1g-dev, libxml-dev
+Build-Depends: debhelper (>= 4.1.16), gettext, autotools-dev , libtool, libppd-dev (>= 0.10),  libgtk2.0-dev (>= 2.6), libpopt-dev, zlib1g-dev
 Maintainer: A Mennucc1 <mennucc1@debian.org>
 Standards-Version: 3.6.2.0

## gpr 0.13deb1

=== debian/changelog ===
gpr (0.13deb1) unstable; urgency=low
 
  * added debian/po/POTFILES.in , thanks T Huriaux (Closes: #377241)
    and build-dependency on po-debconf
  * does recognize 'ppd=' lines in /etc/printcap created by
    foomatic-configure, thanks  Henry House (Closes: #409013)
  * debconf italian translation
  * CUPS compatibility:
     - use 'lpr -o raw' 
     - look for ppd in /etc/cups/ppd
  
 -- A Mennucc1 <mennucc1@debian.org>  Mon, 14 May 2007 15:15:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: gpr
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 4.1.16), gettext, autotools-dev , libtool, libppd-dev (>= 0.10),  libgtk2.0-dev (>= 2.6), libpopt-dev, zlib1g-dev
+Build-Depends: debhelper (>= 4.1.16), po-debconf, gettext, autotools-dev , libtool, libppd-dev (>= 0.10),  libgtk2.0-dev (>= 2.6), libpopt-dev, zlib1g-dev
 Maintainer: A Mennucc1 <mennucc1@debian.org>
-Standards-Version: 3.6.2.0
+Standards-Version: 3.7.2.2
 
 Package: gpr
 Architecture: any

## gpr 0.14deb1

=== debian/changelog ===
gpr (0.14deb1) unstable; urgency=low

  * New README.Debian (with some explanations for CUPS)
  * correct crash on unrecognized options
  * added "-Wl,--as-needed" in LDFLAGS
  * added menu item in "Applications/Graphics" (for lack of a better section)
  * bumped standard version to 3.7.3.0 (no change)
  * [INTL:es] Spanish translation for debconf template,
    thanks to Rudy Godoy Guillén (Closes: #426079).
  * [INTL:pt] Portuguese translation for debconf messages,
    thanks to Traduz - Portuguese Translation Team (Closes: #435854).
  * added check boxes to print text files without margins and headers,
    thanks to Holger Wansing (Closes: #438711).

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 30 Dec 2007 12:09:36 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 4.1.16), po-debconf, gettext, autotools-dev , libtool, libppd-dev (>= 0.10),  libgtk2.0-dev (>= 2.6), libpopt-dev, zlib1g-dev
 Maintainer: A Mennucc1 <mennucc1@debian.org>
-Standards-Version: 3.7.2.2
+Standards-Version: 3.7.3.0
 
 Package: gpr
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,8 @@
 
 autogen:
 	yes n | gettextize -f
-	aclocal -I /usr/share/aclocal/gnome-macros
+	aclocal 
+	#-I /usr/share/aclocal/gnome-macros
 	autoheader
 	automake -a
 	autoconf
@@ -37,8 +38,8 @@
 	   cp -vf /usr/share/misc/config.guess config.guess || true
 	#
 	# avoid time skews
-	touch configure.in && 	touch aclocal.m4 && 	touch configure
-	touch config.h.in  {.,*}/Makefile.in
+	#touch configure.in && 	touch aclocal.m4 && 	touch configure
+	#touch config.h.in  {.,*}/Makefile.in
 	#
 	./configure $(confflags) --prefix=/usr
 	$(MAKE)

## gpr 0.14deb1+nmu1

=== debian/changelog ===
gpr (0.14deb1+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Removed old CUPSYS names in Build-Depends and Depends (Closes: #529964).
  * Fixed the following Lintian warnings:
    W: gpr source: debhelper-but-no-misc-depends gpr 
       (fix: added ${misc:Depends} to debian/control)
    W: gpr source: package-uses-deprecated-debhelper-compat-version 4
       (fix: 'echo 5 > debian/compat' and (>= 5.0) in debian/control)
    W: gpr source: debian-rules-sets-DH_COMPAT line 9 
       (fix: line commented out)
    W: gpr source: debian-rules-ignores-make-clean-error line 52
       (fix: "-$(MAKE) distclean" to "[ ! -f Makefile ] || $(MAKE) distclean")

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 30 Aug 2009 15:29:23 +0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: gpr
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 4.1.16), po-debconf, gettext, autotools-dev , libtool, libppd-dev (>= 0.10),  libgtk2.0-dev (>= 2.6), libpopt-dev, zlib1g-dev
+Build-Depends: debhelper (>= 5.0), po-debconf, gettext, autotools-dev, libtool, libppd-dev (>= 0.10), libgtk2.0-dev (>= 2.6), libpopt-dev, zlib1g-dev
 Maintainer: A Mennucc1 <mennucc1@debian.org>
 Standards-Version: 3.7.3.0
 
 Package: gpr
 Architecture: any
-Depends: ppdfilt, lprng | cupsys-bsd |  lpr-ppd | lpr, debconf | debconf-2.0 , ${shlibs:Depends}
+Depends: ppdfilt, lprng | cups-bsd |  lpr-ppd | lpr, debconf | debconf-2.0 , ${shlibs:Depends}, ${misc:Depends}
 Recommends: a2ps
 Description: GUI for lpr: print files and configure printer-specific options 
  gpr is a graphical interface to lpr that provides for easy configuration

## gpr 0.15deb

=== debian/changelog ===
gpr (0.15deb-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:26:25 +0000

gpr (0.15deb-2) unstable; urgency=low

  * Bump debhelper to 8 (use dh_prep)
  * Add build-arch build-indep in debian/rules
  * Refresh autostuff
  * Fix: "FTBFS: dpkg-buildpackage: error: dpkg-source -b gpr-0.15deb
    gave error exit status 2", thanks to Didier Raboud (Closes: #643142).
  * [INTL:da] Danish translation of the debconf templates gpr,
    thanks to Joe Dalton (Closes: #627845).

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 29 Sep 2011 16:35:45 +0200

gpr (0.15deb-1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Rewrite of the combo code to select printers, by Bernhard R. Link

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 26 Mar 2011 19:03:28 +0100

gpr (0.15deb) unstable; urgency=low

  * Thanks Martin for the NMU (Closes: #543661)
  * Rearranged widgets in window, to make it smaller (Closes: #501140).
  * "[INTL:ru] Russian debconf templates translation", thanks to
    Yuri Kozlov (Closes: #513505).
  * "[INTL:fi] Finnish translation of the debconf templates",
    thanks to Esko Arajärvi (Closes: #539336).

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 18 Sep 2009 12:32:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: gpr
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 5.0), po-debconf, gettext, autotools-dev, libtool, libppd-dev (>= 0.10), libgtk2.0-dev (>= 2.6), libpopt-dev, zlib1g-dev
-Maintainer: A Mennucc1 <mennucc1@debian.org>
-Standards-Version: 3.7.3.0
+Build-Depends: debhelper (>= 8), po-debconf, gettext, autotools-dev, libtool, libppd-dev (>= 0.10), libgtk2.0-dev (>= 2.6), libpopt-dev, zlib1g-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: A Mennucc1 <mennucc1@debian.org>
+Standards-Version: 3.9.1.0
 
 Package: gpr
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=4
-
 
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -20,13 +16,18 @@
 
 autogen:
 	yes n | gettextize -f
-	aclocal 
+	aclocal -I m4
 	#-I /usr/share/aclocal/gnome-macros
 	autoheader
-	automake -a
+	automake --force --copy
 	autoconf
 
 build: build-stamp
+
+build-arch: build-stamp
+
+build-indep: build-stamp
+
 build-stamp:
 	dh_testdir
 
@@ -41,6 +42,9 @@
 	#touch configure.in && 	touch aclocal.m4 && 	touch configure
 	#touch config.h.in  {.,*}/Makefile.in
 	#
+	#remove libtool that we do not use
+	rm -f libtool ltconfig ltmain.sh
+	#
 	./configure $(confflags) --prefix=/usr
 	$(MAKE)
 	touch build-stamp
@@ -49,8 +53,10 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-	-$(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
 	dh_clean
+	#remove libtool that we do not use
+	rm -f libtool ltconfig ltmain.sh
 	#REALLY clean, since we call all the 'auto' stuff at build time
 	#find ltmain.sh config.guess config.sub COPYING INSTALL ABOUT-NLS missing mkinstalldirs intl po -type l | xargs -r rm
 	#find  aclocal.m4 config.h.in configure | xargs -r rm
@@ -60,7 +66,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=`pwd`/debian/gpr
 	chmod 755 debian/lpr.wrapper debian/bug

## gpr 1.1

=== DESCRIPTION ===
Package: gpr
Version: 1.1
Date: 2013-08-27
Title: A Minimalistic package to apply Gaussian Process in R
License: GPL-3
Author: Afshin Sadeghi
Maintainer: ORPHANED
Depends: R (>= 2.13)
Description: This package provides a minimalistic functionality necessary to apply Gaussian Process in R. They provide a selection of functionalities of GPML Matlab library.
Packaged: 2013-08-28 22:08:07 UTC; sadeghi
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-02-07 14:10:18
X-CRAN-Original-Maintainer: Afshin Sadeghi <sadeghi.afshin@gmail.com>
X-CRAN-Comment: Orphaned on 2014-02-07 as the maintainer could not
        maintain it officially any more.
